Add System Chat Room Participant
POST /obp/v7.0.0/chat-rooms/CHAT_ROOM_ID/participants
OBPv6.0.0-addSystemChatRoomParticipant No role required Chat
Add a participant to a system-level chat room. Requires can_manage_permissions permission. Specify either user_id or consumer_id, but not both.
Authentication is Required
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
URL Parameters:
CHAT_ROOM_ID: CHAT_ROOM_ID
JSON request body fields (2)
- permissions
- user_id
- 9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1
JSON response body fields (12)
- chat_room_id
- chat_room_id
- consumer_id
- 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
- consumer_name
- consumer_name
- is_muted
- is_muted
- joined_at
- joined_at
- last_read_at
- last_read_at
- participant_id
- participant_id
- permissions
- provider
- ETHEREUM
- user_id
- 9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1
- username
- felixsmith
- webhook_url
- webhook_url
Example request body
{
"user_id": "user-id-456",
"permissions": [
"can_delete_message"
]
}Example success response
{
"participant_id": "participant-id-456",
"chat_room_id": "chat-room-id-123",
"user_id": "user-id-456",
"username": "ellie.y.1.gh",
"provider": "https://github.com",
"consumer_id": "",
"consumer_name": "",
"permissions": [
"can_delete_message"
],
"webhook_url": "",
"joined_at": "2026-10-21T01:45:41Z",
"last_read_at": "2026-10-21T01:45:41Z",
"is_muted": false
}Possible errors (7)
- OBP-20001: User not logged in. Authentication is required!
- OBP-10001: Incorrect json format.
- OBP-39001: Chat Room not found. Please specify a valid value for CHAT_ROOM_ID.
- OBP-39008: You do not have the required permission for this Chat Room action.
- OBP-39014: Must specify either user_id or consumer_id, but not both.
- OBP-39006: User is already a participant of this Chat Room.
- OBP-50000: Unknown Error.